%define	major		0
%define	libname		%mklibname ghemical %major
%define develname	%mklibname ghemical -d

Name:		libghemical
Summary:	Libraries for the Ghemical chemistry package
Version:	2.10
Release:	%mkrel 8
Source0:	http://www.uku.fi/~thassine/projects/download/%{name}-%{version}.tar.gz
URL:		http://www.uku.fi/~thassine/ghemical/
License:	GPL+
Group:		Sciences/Chemistry
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	f2c flex
BuildRequires:	libSC-devel
BuildRequires:	mopac7-devel
BuildRequires:	openbabel-devel
BuildRequires:	blas-devel
BuildRequires:	lapack-devel

%description
Library and data files for the ghemical computation chemistry package.

%package	data
Summary:	Data files for the ghemical library
Group:		Sciences/Chemistry

%description data
Data files for the ghemical library.

%package -n	%{libname}
Summary:	Dynamic libraries from %{name}
Group:		System/Libraries
Requires:	%{name}-data = %{version}

%description -n	%{libname}
Dynamic libraries from %{name}.

%package -n	%{develname}
Summary:	Header files and static libraries from %{name}
Group:		Development/C
Requires:	%{libname} >= %{version}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	ghemical-devel = %{version}-%{release} 
Obsoletes:	ghemical-devel
Obsoletes:	%{mklibname ghemical 0 -d}

%description -n	%{develname}
Libraries and includes files for developing programs based on %{name}.

%prep
%setup -q 

%build
libtoolize --copy --force
aclocal
autoconf
%configure2_5x	--enable-mopac7 \
		--enable-mpqc \
		--enable-openbabel 

%make
								
%install
rm -rf %{buildroot}
%makeinstall

%clean
rm -rf %{buildroot}

%post -n %{libname} -p /sbin/ldconfig
%postun -n %{libname} -p /sbin/ldconfig

%files data
%defattr(-,root,root)
%doc AUTHORS ChangeLog TODO
%{_datadir}/%{name}

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/*.so.%{major}*

%files -n %{develname}
%defattr(-,root,root)
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/*.a
%{_libdir}/*.la
%{_libdir}/pkgconfig/*.pc


%changelog
* Tue Feb 12 2008 Adam Williamson <awilliamson@mandriva.com> 2.10-8mdv2008.0
+ Revision: 166395
- need a rebuild for fixed mpqc on 2008 (same issue was already fixed in Cooker); pushing to Cooker too to keep the packages in sync

* Tue Jan 08 2008 Adam Williamson <awilliamson@mandriva.com> 2.10-7mdv2008.1
+ Revision: 146785
- rebuild for fixed sc-config (libSC)

* Sat Jan 05 2008 Adam Williamson <awilliamson@mandriva.com> 2.10-6mdv2008.1
+ Revision: 145793
- new devel policy
- minor spec cleanup

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Fri Nov 30 2007 Lev Givon <lev@mandriva.org> 2.10-4mdv2008.1
+ Revision: 114067
- Bump release to rebuild against lapack 3.1.1.

  + Austin Acton <austin@mandriva.org>
    - rebuild for openbabel
    - Import libghemical



* Tue Aug 22 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 2.10-2mdv2007.0
- require on version of data package

* Tue Aug 22 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 2.10-1mdv2007.0
- 2.10
- enable mpqc support
- fix mixed-use-of-spaces-and-tabs

* Tue Jun 20 2006 Lenny Cartier <lenny@mandriva.com> 2.00-2mdv2007.0
- rebuild

* Tue Apr 25 2006 Lenny Cartier <lenny@mandriva.com> 2.00-1mdk
- 2.00

* Mon Apr  3 2006 Austin Acton <austin@mandriva.org> 1.92-0.20060331.2mdk
- lib requires data

* Fri Mar 31 2006 Austin Acton <austin@mandriva.org> 1.92-0.20060331.1mdk
- new cvs checkout

* Thu Feb 09 2006 Lenny Cartier <lenny@mandriva.com> 1.91-2.20060209.1mdk
- update to 20060209

* Fri Aug 12 2005 Austin Acton <austin@mandrake.org> 1.90-1mdk
- initial package
- steal a nice patch from debian
